Name:           gupnp-vala
Version:        0.6.2
Release:        1%{?dist}
Summary:        GUPnP is a uPnP framework. This adds vala language bindings

Group:          Development/Languages
License:        LGPLv2+
URL:            http://www.gupnp.org/
Source0:        http://www.gupnp.org/sources/bindings/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: vala-devel >= 0.7.8
BuildRequires: vala-tools >= 0.7.8
BuildRequires: gssdp-devel >= 0.6.4
BuildRequires: gupnp-devel >= 0.13.0
BuildRequires: gupnp-av-devel
BuildRequires: gupnp-ui-devel
BuildRequires: libsoup-devel
Requires: pkgconfig
Requires: vala >= 0.7.8

%description
GUPnP is an object-oriented open source framework for creating UPnP 
devices and control points, written in C using GObject and libsoup. 
The GUPnP API is intended to be easy to use, efficient and flexible. 

This package adds vala language bindings

%prep
%setup -q

%build
# The generated files are noarch, but configure need to be told the
# real host alias for building
%configure --target=%{_host_alias}
make %{?_smp_mflags} V=1

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} INSTALL='install -p'

%check
make check

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING
# Exclude as file is empty
%exclude %{_datadir}/vala/vapi/gssdp-1.0.deps
%{_datadir}/vala/vapi/gssdp-1.0.vapi
%{_datadir}/vala/vapi/gupnp-1.0.deps
%{_datadir}/vala/vapi/gupnp-1.0.vapi
%{_datadir}/vala/vapi/gupnp-av-1.0.deps
%{_datadir}/vala/vapi/gupnp-av-1.0.vapi
%{_datadir}/vala/vapi/gupnp-ui-1.0.deps
%{_datadir}/vala/vapi/gupnp-ui-1.0.vapi
%{_libdir}/pkgconfig/gupnp-vala-1.0.pc

%changelog
* Sat Nov 21 2009 Peter Robinson <pbrobinson@gmail.com> 0.6.2-1
- New upstream 0.6.2 release

* Thu Sep 17 2009 Bastien Nocera <bnocera@redhat.com> 0.6-1
- Update to 0.6

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sun Jun 21 2009 Peter Robinson <pbrobinson@gmail.com> 0.5.4-2
- Add patch to fix 64 bit pkgconfig paths. Fixes RHBZ 496794

* Wed Jun  3 2009 Peter Robinson <pbrobinson@gmail.com> 0.5.4-1
- New upstream release

* Wed Apr  8 2009 Peter Robinson <pbrobinson@gmail.com> 0.5.3-5
- Rebuild

* Fri Apr  3 2009 Peter Robinson <pbrobinson@gmail.com> 0.5.3-3
- Remove noarch, as its not due to the pkgconfig file

* Tue Mar 10 2009 Peter Robinson <pbrobinson@gmail.com> 0.5.3-2
- Patch for noarch and some reqs thanks to Michel Salim

* Wed Feb 25 2009 Peter Robinson <pbrobinson@gmail.com> 0.5.3-1
- New upstream version, review request fixes, update spec for new version

* Wed Jan 14 2009 Peter Robinson <pbrobinson@gmail.com> 0.5-1
- New upstream version

* Wed Dec 31 2008 Peter Robinson <pbrobinson@gmail.com> 0.4-1
- Update to new version to fix compile with newer vala and gupnp releases

* Wed Jul 9 2008 Peter Robinson <pbrobinson@gmail.com> 0.2-2
- Fixed dep on vala-tools

* Wed Jul 9 2008 Peter Robinson <pbrobinson@gmail.com> 0.2-1
- Initial release
